/* red-hat-mono-regular - latin */
@font-face {
	font-display: swap;
	font-family: "Red Hat Mono";
	font-style: normal;
	font-weight: 400;
	src: url("red-hat-mono-v10-latin-regular.woff2") format("woff2"),
		url("red-hat-mono-v10-latin-regular.woff") format("woff");
}

/* red-hat-mono-italic - latin */
@font-face {
	font-display: swap;
	font-family: "Red Hat Mono";
	font-style: italic;
	font-weight: 400;
	src: url("red-hat-mono-v10-latin-italic.woff2") format("woff2"),
		url("red-hat-mono-v10-latin-italic.woff") format("woff");
}

/* red-hat-mono-600 - latin */
@font-face {
	font-display: swap;
	font-family: "Red Hat Mono";
	font-style: normal;
	font-weight: 600;
	src: url("red-hat-mono-v10-latin-600.woff2") format("woff2"),
		url("red-hat-mono-v10-latin-600.woff") format("woff");
}

/* red-hat-mono-600italic - latin */
@font-face {
	font-display: swap;
	font-family: "Red Hat Mono";
	font-style: italic;
	font-weight: 600;
	src: url("red-hat-mono-v10-latin-600italic.woff2") format("woff2"),
		url("red-hat-mono-v10-latin-600italic.woff") format("woff");
}

:root {
	--primary-font: "Red Hat Mono", monospace;

	--color-black: #0d0d0d;
	--color-transparent-black: rgba(13,13,13,.85);
	--color-lightgray: #707070;
	--color-darkgray: #333;
	--color-white: #fff;
	--color-red: #d9083c;
	--color-blue: #40b3ff;
	--color-lightgreen: #23d160;

	--width-nav: 24rem;

	/* Tobii lightbox */
	--tobii-base-font-size: 1rem;
	--tobii-transition-duration: 0.3s;
	--tobii-transition-timing-function: cubic-bezier(0.19, 1, 0.22, 1);
	--tobii-zoom-icon-background: hsla(210, 38%, 16%, 0.94);
	--tobii-zoom-icon-color: var(--color-white);
	--tobii-lightbox-background: rgba(0, 0, 0, 0.85);
	--tobii-lightbox-z-index: 1337;
	--tobii-caption-background: rgba(0, 0, 0, 0.8);
	--tobii-caption-color: var(--color-white);
	--tobii-counter-background: transparent;
	--tobii-counter-color: var(--color-white);
	--tobii-button-background: transparent;
	--tobii-button-navigation-background: rgba(0, 0, 0, 0.5);
	--tobii-button-color: var(--color-white);
	--tobii-loader-color: var(--color-white);
	--tobii-slide-max-height: calc(100vh - 3.125em);
	--tobii-slide-max-width: 100vw;
}

html {
	font-size: 18px;
	box-sizing: border-box;
	scroll-behavior: smooth;
}

body {
	font-size: 1rem;
	font-family: var(--primary-font);
	font-weight: 400;
	background-color: var(--color-black);
	color: var(--color-white);
	margin: 0;
}
main {
	margin-left: var(--width-nav);
	max-width: 80rem;
	padding: 1.5rem 3rem 4rem 0;
	opacity: 0;
}
main.fadeIn {
	transition: opacity 0.5s;
	opacity: 1;
}
nav {
	background-color: var(--color-black);
	position: fixed;
	width: var(--width-nav);
	height: 100vh;
	top: 0;
	left: 0;
}

h1,
h2,
h3 {
	font-weight: 600;
	margin: 0 0 2rem 0;
}

h1 {
	font-size: 2.5rem;
	line-height: 2.5rem;
	margin-bottom: 3rem;
}
h2 {
	font-size: 1.5rem;
	line-height: 1.5rem;
	margin: 0 0 2rem 0;
	font-weight: 300;
	text-transform: lowercase;
}
h3 {
	font-size: 1rem;
	margin: 0 0 1rem 0;
}
nav h3 {
	margin-top: 1rem;
}

p {
	line-height: 1.5rem;
	margin: 0 0 2rem 0;
}

a {
	color: var(--color-red);
	font-weight: 600;
	text-decoration: none;
}

sup {
	line-height: 0.5rem;
	font-size: 0.65rem;
	top: -0.15rem;
	display: inline-block;
	position: relative;
}
	sup.haha {
		color: var(--color-lightgray);
		font-weight: 600;
		rotate: -40deg;
		margin-right: -1.65rem;
		margin-left: -.15rem;
		top: -1rem;
	}

button, a.button, button.icon-button, a.icon-button, input[type="submit"] {
	display: inline-block;
	font-family: var(--primary-font);
	font-weight: 600;
	font-size: 0.75rem;
	line-height: 1.5rem;
	padding: 0.5rem 2rem;
	margin: 0 0 2rem 0;
	color: var(--color-white);
	text-decoration: none;
	text-align: center;
	cursor: pointer;
	transition: all 0.3s;
	white-space: nowrap;
}
button, a.button, input[type="submit"] {
	background-color: var(--color-black);
	border: 1px solid var(--color-white);
}
button.icon-button, a.icon-button {
	padding: 0;
	border: none;
	text-align: left;
}
.icon-button .icon {
	height: 0.75rem;
	margin-right: 0.5rem;
}
h1 .icon {
	vertical-align: top;
	margin-left: .25rem;
	margin-top: .15rem;
}

hr {
	border: none;
	border-top: 1px solid var(--color-darkgray);
	margin: 0;
	width: 100%;
}

img {
	width: auto;
	max-width: 100%;
}

input[type="text"], input[type="password"] {
	appearance: none;
	background-color: var(--color-black);
	border: none;
	border-bottom: 1px solid var(--color-red);
	border-radius: 0;
	outline: none;
	font-family: var(--primary-font);
	color: var(--color-white);
	font-size: 1rem;
	height: 1.2rem;
	width: 10rem;
	overflow: hidden;
	text-overflow: ellipsis;
}
	::placeholder {
		color: var(--color-lightgray);
		opacity: 1 !important;
	}
	input[type="text"].input-short, input[type="password"].input-short {
		width: 8rem;
	}
	input[type="text"].input-long, input[type="password"].input-long {
		width: 14rem;
	}

.template {
	display: none !important;
}

.logo {
	letter-spacing: 0.25rem;
	line-height: 2rem;
	margin-bottom: 3.5rem;
}
.logo a {
	color: var(--color-white);
	font-weight: 300;
}
.logo .icon {
	height: 1rem;
	rotate: -36deg;
	margin: 0 -0.25rem -0.1rem 0;
}

.icon {
	fill: var(--color-white);
	width: auto;
	height: 1rem;
	vertical-align: -0.125rem;
}

.mobile-menu, .mobile-reload {
	display: none;
	position: absolute;
	top: 0.75rem;
	width: 1.5rem;
	height: auto;
}
	.mobile-menu {
		transition: rotate .25s, fill .25s;
		right: 1rem;
	}
	.mobile-reload {
		right: 3.5rem;
	}
	.active .mobile-menu {
		rotate: -40deg;
		fill: var(--color-blue);
	}
.mobile-menu-arrow {
	display: none;
	opacity: 0;
	fill: var(--color-blue);
	position: absolute;
	width: 1rem;
	height: auto;
	top: 1rem;
	right: 1rem;
	transition: all .25s;
}
	.active .mobile-menu-arrow {
		rotate: -40deg;
		opacity: 1;
		top: 1.85rem;
		right: 2rem;
	}

.main-nav {
	padding: 1.5rem 3rem 2rem 3rem;
}
@media (max-height: 700px) {
	nav {
		position: absolute;
	}
}

.nav-buttons {
	display: flex;
	flex-direction: row;
	flex-wrap: wrap;
	gap: 1rem;
	margin-bottom: 3rem;
}
.nav-buttons .site-select, .nav-buttons .icon-button {
	flex: 1;
	margin-bottom: 0;
}
.nav-buttons .icon-button .icon {
	margin-right: .25rem;
}
.site-select.active {
	transition: border-color 0.5s, color 0.5s;
	border-color: var(--color-blue);
	color: var(--color-blue);
}

.popup {
	opacity: 0;
	transition: opacity .35s;
	position: fixed;
	top: 100%;
	left: 0;
	bottom: 0;
	right: 0;
	padding:3rem;
	background-color: var(--color-transparent-black);
	backdrop-filter: blur(2px);
	z-index: 999;
}
	.popup.active {
		top: 0;
		opacity: 1;
	}
	.popup.active.closing {
		opacity: 0;
	}
	.popup-header, .popup-content {
		max-width: 90rem;
		margin: 0 auto;
	}
		.popup-header {
			text-align: right;
		}
			.popup-header .icon {
				height: 2.75em;
				margin: -.75rem -.75rem 0 0;
			}
		.popup-content {
			text-align: center;
		}
		.popup-content small {
			display: block;
			margin-bottom: 6rem;
		}
		.popup-content img {
			max-height: calc(100vh - 12rem);
		}

.site h1 {
	margin-bottom: .5rem;
}
.site .header-buttons {
	margin-bottom: 3rem;
}

.site .header-buttons .icon-button {
	margin: 0 2rem 0 0;
}
.site .header-buttons .icon {
	margin-right: .5rem;
}


.station-container {
	width: 100%;
	margin-bottom: 3rem;
	position: relative;
}
.station-container header {
	display: flex;
	flex-direction: row;
	gap: 2rem;
	margin-bottom: 1rem;
}
.station-label {
	flex: 1.5;
}
.offline .station-label {
	color: var(--color-lightgray);
	text-decoration: line-through;
	text-decoration-style: dashed;
}
.station-detail {
	flex: 1;
	font-size: 0.75rem;
	max-width: 12rem;
}

.detail-row {
	display: grid;
	width: 100%;
	grid-template-columns: auto auto;
	grid-column-gap: 0.15rem;
}
.detail-row:first-child {
	font-size: 1rem;
	font-weight: 600;
}
.detail-label,
.detail-data {
	white-space: nowrap;
}
.detail-label {
	width: 100%;
	overflow: hidden;
}
.detail-label:after {
	content: "..........................................................................";
}

.tfr-detail {
	margin-bottom: 2rem;
	max-width: 38rem;
}
.tfr-detail h2 {
	margin-bottom: .1rem;
}
.tfr-detail h2 .icon {
	height: 1.25rem;
	cursor: pointer;
}
.tfr-detail p {
	font-size: .75rem;
	line-height: 1.1rem;
	margin-bottom: 0;
}
.tfr-detail .detail-row {
	font-size: .75rem;
}
.mapbox-map {
	width:100%;
	height:65vh;
}

.chart {
	height: 16rem;
	width: 100%;
}
.chart-detail {
	font-size: 1rem;
	color: var(--color-white);
	margin: 0;
	padding: 0 0.3em;
	min-width: 4.25em;
	min-height: 2em;
}
.chart-detail .stats-tabs {
	margin: 0;
}
.chart-detail .stats-tabs li {
	margin-bottom: 0;
}
.chart-detail .stats-tabs li a {
	font-size: 0.75em;
}
.chart-detail .stats-tabs li a em {
	font-size: 0.65em;
}
.chart-detail .location-stats {
	display: block;
	margin-bottom: -0.5em;
}
.chart-detail h6 {
	font-size: 0.5em;
	margin-top: 0;
	margin-bottom: 0.5em;
	color: var(--color-white);
}

.windgram-pager {
	display: flex;
	flex-direction: row;
	gap: 2rem;
	margin-bottom: 2rem;
}
	.windgram-pager .page {
		flex: 1;
	}
	.windgram-pager .page img {
		width: 100%;
	}

.weight-range-calculator input {
	width: 3rem;
}
.answer-hint, .answer-summary, .answer-summary span, .register-confirm {
	display: none;
}
.weight-range-calculator .active, .register-confirm.active {
	display: unset;
}

.video {
	aspect-ratio: 16 / 9;
	width: 100%;
}

@media (min-width: 1600px) {
	.station-container {
		display: table;
	}
	.station-container header {
		display: table-cell;
		vertical-align: top;
		padding-right: 2rem;
	}
	.station-detail {
		min-width: 16rem;
		max-width: unset;
	}
	.chart {
		display: table-cell;
		width: 100%;
	}
}

@media (max-width: 1200px) {
	main {
		margin: 0;
		padding: 1rem;
	}
	nav {
		height: auto;
		margin-bottom: 1rem;
		position: sticky;
		width: auto;
		z-index: 99;
	}
	nav.active {
		position: relative;
	}
	.logo {
		margin-bottom: 2rem;
	}
	.mobile-menu, .mobile-reload, .mobile-menu-arrow {
		display: inline-block;
	}
	.main-nav {
		border-bottom: 1px solid var(--color-darkgray);
		height: 2rem;
		overflow: hidden;
		padding: 0.5rem 1rem;
	}
	nav.active .main-nav {
		height: auto;
	}
	.main-nav .nav-buttons:last-child {
		margin-bottom: 1rem;
	}
	.popup {
		padding: 1rem;
	}
	.popup-content img, .popup-content .video {
		max-height: calc(100vh - 8rem);
	}
	.station-label {
		margin-bottom: 1rem;
	}
}

@media (max-width: 900px) {
	.chart {
		height: 12rem;
	}

	.windgram-pager {
		display: block;
		flex-direction: unset;
		gap: unset;
		white-space: nowrap;
		overflow-x: scroll;
		scrollbar-width: none;
		-ms-overflow-style: none;
	}
	.windgram-pager::-webkit-scrollbar {
		display: none;
	}
	.windgram-pager .page {
		flex: unset;
		display: inline-block;
		margin: 0 .5rem;
		vertical-align: middle;
	}
	.windgram-pager .page img {
		max-height: calc(55vh - 2rem);
		width: auto;
	}
	.windgram-pager .page img.img-placeholder {
		max-height: unset;
		height: calc(55vh - 2rem);
		width: auto;
	}
}

@media (max-width: 640px) {
	.station-label {
		flex: none;
	}
	.station-container header {
		display: block;
		flex-direction: unset;
		gap: unset;
	}
	.station-detail {
		flex: none;
		max-width: unset;
	}
}
